@charset "UTF-8";

/* ==================================================
   トップページ（index.html）
   ================================================== */

/* ----------------------------------
   hero
   ---------------------------------- */
.p-hero {
    background-color: var(--color-bg-yellow);
    padding: 40px 0;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media screen and (min-width: 768px) {
    .p-hero {
        padding: 70px 0;
    }
}

.p-hero__top {
    background-color: var(--color-bg-white);
    border-radius: 20px;
}

@media screen and (min-width: 768px) {
    .p-hero__top {
        width: 100%;
        max-width: 1090px;
        margin: auto;
        padding: 0 1.5rem;
    }
}

.p-hero__top h1 {
    padding: 70px 0px 40px 0px;
    color: var(--color-font-red);
    white-space: nowrap;
}

.p-hero__top--image {
    margin: 0 auto;
}

.p-hero__top h2 {
    padding: 50px 0px 50px 0px;
    white-space: nowrap;
    font-size: 36px;
}

@media screen and (min-width: 768px) {
    .p-hero .nav-list {
        padding: 30px 0 30px 0;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
    }
}

.p-hero-flip {
    position: relative;
    width: 300px;
    aspect-ratio: 1 / 1;
    margin: 0 auto;
}

/* ----------------------------------
   about me
   ---------------------------------- */
.p-aboutme {
    position: relative;
    padding-top: 70px;
}

.p-aboutme__txt:first-of-type {
    font-size: 24px;
    padding-top: 70px;
}

.p-aboutme__txt:not(:first-of-type) {
    padding-top: 24px;
}

.aboutme__image {
    padding-top: 70px;
    margin: 0 auto;
    width: 185px;
}

@media screen and (min-width: 768px) {
    .aboutme__image {
        position: absolute;
        right: 100px;
        bottom: -50px;
    }
}

.p-aboutme .c-button {
    margin: 20px auto 40px auto;
}

@media screen and (min-width: 768px) {
    .p-aboutme .c-button {
        margin: 70px auto;
    }
}

.p-aboutme .c-button p {
    white-space: nowrap;
}

/* ----------------------------------
   can do
   ---------------------------------- */
.p-cando {
    padding: 40px 0;
    background-color: var(--color-bg-yellow);
}

@media screen and (min-width: 768px) {
    .p-cando {
        padding: 70px 0;
    }
}

.p-cando__cards {
    display: grid;
    row-gap: 70px;
    padding-top: 70px;
}

@media screen and (min-width: 768px) {
    .p-cando__cards {
        grid-template-columns: repeat(3, 1fr);
        gap: 0 32px;
    }
}

.p-cando__card {
    background-color: var(--color-bg-white);
    border-radius: 90px;
}

.p-cando__card--image {
    width: 100%;
    max-width: 260px;
    margin: 0 auto;
    padding: 33px 0;
}

.p-cando__card p {
    padding: 20px 12px 40px 12px;
}

/* ----------------------------------
   works（トップページ内）
   ---------------------------------- */
body:not(.page-work) .c-works {
    position: relative;
    padding: 40px 0 80px 0;
}

@media screen and (min-width: 768px) {
    body:not(.page-work) .c-works {
        padding: 70px 0 180px 0;
    }
}

.c-works__card {
    display: grid;
    padding-top: 70px;
    gap: 30px;
}

@media screen and (min-width: 768px) {
    .c-works__card {
        grid-template-columns: repeat(2, 1fr);
        gap: 0 40px;
    }
}

@media screen and (min-width: 768px) {
    .c-works__card__content {
        margin-top: 30px;
    }
}

.c-works__card__content .c-tag {
    background-color: var(--color-tag);
    display: inline-block;
    border-radius: 100px;
    margin: 8px 8px 8px 0;
}

.c-works__card__content .c-tag p {
    color: var(--color-bg-white);
    font-size: 10px;
    padding: 5px 20px;
}

.c-works__lead-image {
    width: 160px;
    position: absolute;
    bottom: -120px;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* ----------------------------------
   fukidashi
   ---------------------------------- */
.p-works__button-wrap {
    position: relative;
    display: block;
    padding: 16px 40px;
    margin: 0 auto 80px auto;
    top: 40px;
    border: 2px solid #4a453d;
    border-radius: 9999px;
    background-color: #ffffff;
    text-align: left;
    font-size: 16px;
    line-height: 1.5;
    color: #000000;
    transition: 0.5s;
    width: fit-content;
}

@media screen and (min-width: 768px) {
    .p-works__button-wrap {
        padding: 20px 90px;
        margin: 0 auto;
    }
}

.p-works__button-wrap::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 70%;
    border-style: solid;
    border-width: 20px 20px 0 0;
    border-color: #4a453d transparent transparent;
    translate: -50% 100%;
}

.p-works__button-wrap::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 70%;
    border-style: solid;
    border-width: 15.2px 15.2px 0 0;
    border-color: #ffffff transparent transparent;
    translate: calc(-50% - 0.4px) 100%;
}

.p-works__button-wrap:hover {
    animation: shake 0.7s linear infinite;
}

@keyframes shake {
    0% {
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
    25% {
        transform: rotate(3deg) translate3d(0, 0, 0);
    }
    50% {
        transform: rotate(-3deg) translate3d(0, 0, 0);
    }
    75% {
        transform: rotate(1deg) translate3d(0, 0, 0);
    }
    100% {
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
}

/* ----------------------------------
   contact
   ---------------------------------- */
.p-contact {
    padding: 40px 0;
    background-color: var(--color-bg-yellow);
}

@media screen and (min-width: 768px) {
    .p-contact {
        padding: 70px 0;
    }
}

.p-contact .p-contact__txt {
    margin-top: 40px;
    color: var(--color-font-base);
}

@media screen and (min-width: 768px) {
    .p-contact .p-contact__txt {
        margin-top: 70px;
    }
}

.p-contact .c-button {
    display: flex;
    margin: 40px auto 0 auto;
}

@media screen and (min-width: 768px) {
    .p-contact .c-button {
        margin: 70px auto 0 auto;
    }
}

/* ==================================================
   わたしについてページ（aboutme.html）
   ================================================== */

/* ----------------------------------
   my introduce
   ---------------------------------- */
.p-introduce {
    margin: 40px 0;
}

@media screen and (min-width: 768px) {
    .p-introduce {
        margin: 70px 0;
    }
}

.p-introduce__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 20px;
}

.p-introduce__photo {
    width: 250px;
    margin: 0 auto;
}

.p-introduce__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.p-introduce__name {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.p-introduce__name h2 {
    font-weight: bold;
    white-space: nowrap;
    margin: 0 auto;
}

.p-introduce__name p {
    font-size: 22px;
    margin: 0 auto;
}

@media screen and (min-width: 768px) {
    .p-introduce__photo {
        width: 100%;
    }

    .p-introduce__inner {
        display: flex;
        flex-direction: row;
        column-gap: 70px;
    }

    .p-introduce__name {
        display: flex;
        flex-direction: row;
        column-gap: 90px;
    }

    .p-introduce__name p {
        font-size: 24px;
    }
}

/* ----------------------------------
   my vision
   ---------------------------------- */
.p-vision__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 50px;
}

.p-vision__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 28px;
}

.p-vision__image {
    width: 150px;
    height: auto;
}

@media screen and (min-width: 768px) {
    .p-vision__content {
        max-width: 768px;
    }
}

/* ----------------------------------
   aboutmeページのbutton
   ---------------------------------- */
.c-button {
    margin: 40px auto;
}

@media screen and (min-width: 768px) {
    .c-button {
        margin: 70px auto;
    }
}

/* ----------------------------------
   aboutmeページとworkページのfooter
   ---------------------------------- */
body.page-aboutme .c-footer,
body.page-work .c-footer {
    background-color: var(--color-bg-yellow);
}


/* ==================================================
   作品ページ（work.html）
   ================================================== */

/* ----------------------------------
   works
   ---------------------------------- */
body.page-work .c-works {
    position: relative;
    padding: 40px auto;
}
@media screen and (min-width: 768px) {
    body.page-work .c-works {
        padding: 40px 0;
    }
}
.c-works__card {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    row-gap: 40px;
}
@media screen and (min-width: 768px) {
    body.page-work .c-works__card {
        padding: 0 0 20px 0;
    }
}

@media screen and (min-width: 768px) {
    .c-works__card {
        grid-template-columns: repeat(2, 1fr);
        gap: 40px 70px;
    }
}

.c-works__content {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.c-tag__wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 20px;
}

.c-tag {
    padding: 5px 20px;
}

.c-works__card h3 {
    white-space: normal;
    overflow-wrap: anywhere;
}